﻿// =====================================================================
//                               actListe.js
// © 2013  Dunin Technologie Inc.
// =====================================================================

// - DÉFINITION --------------------------------------------------------
// Acteur LISTE
// --------------------------------------------------------------------

// - NOTES -------------------------------------------------------------
// ---------------------------------------------------------------------

// - HISTORIQUE --------------------------------------------------------
// 2013-05-21  Pierre-Do                  Création
// ---------------------------------------------------------------------

// ---------------------------------------------------------------------
// Construit une liste déroulante non modifiable

ConstV7.prototype.ConstActeurListe = function (elem, acteurParam, objCourant) {
    var that = this;
    var $elem = $(elem);
    //var listeChoix;                 //contien la liste des choix
    var champValeur;                //Identifie le champ valeur
    var champTexte;                 //Identifie le champ texte

    //Traitement du <Label>
    var $lbl = $elem.find('label');
    if ($lbl.length) {
        $lbl.text(acteurParam['prop']);                  // Nom de la propriété
    }

    //Traitement de la liste de choix **** SIMULE la caracteristique Liste Posible
    var listeChoix = [
        { texte: "Black", valeur: "1" },
        { texte: "Orange", valeur: "2" },
        { texte: "Grey", valeur: "3" },
        { texte: "Green", valeur: "4" },
        { texte: "Red", valeur: "5" }
    ];

    //Selection du ValueField
    //if (acteurParam['valeur'] != undefined) {
    //    champValeur = acteurParam['valeur'];
    //}

    ////Selection du TextField
    //if (acteurParam['texte'] != undefined) {
    //    champTexte = acteurParam['texte'];
    //}

    //Traitement du <select>
    var $cbo = $elem.find('select');  
    if ($cbo.length) {
        $cbo.attr('id', that.NouveauID(objCourant.Id + "~" + acteurParam['prop']));  // Ajoute ID
        $cbo.data("objet", objCourant);                                             // Stock un pointeur sur l'objet courant
        $cbo.data("acteur", "LISTE");

        $cbo.kendoDropDownList({
            dataSource: listeChoix,
            dataTextField: "texte",
            dataValueField: "valeur",
            select: function (e) {
                that.udpListeOnSelect(e, acteurParam['prop']);
            }
        });


        //Selectionne l'item au besoin
        if (objCourant[acteurParam['prop']] != undefined) {
            var dd = $cbo.data("kendoDropDownList");
            dd.value(objCourant[acteurParam['prop']]);
        }
    }

}


// ---------------------------------------------------------------------
// Evenement OnSelect - Met a jour la prop du moteur
ConstV7.prototype.udpListeOnSelect = function (e, prop) {
    //var dataItem = this.dataItem(e.item.index());

    var elemKendo = e.sender;                           //l'objet Kendo DropDownList
    var elem = e.sender.element;                        //l'objet <Select>
    var obj = elem.data("objet");                       //l'objet V7
    var dataItem = elemKendo.dataItem(e.item.index());  //Item selectionné

    obj[prop] = parseInt(dataItem.valeur);
}