﻿// =====================================================================
//                               actOnglet.js
// © 2013  Dunin Technologie Inc.
// =====================================================================

// - DÉFINITION --------------------------------------------------------
// Acteur ONGLETS
// --------------------------------------------------------------------

// - NOTES -------------------------------------------------------------
// ---------------------------------------------------------------------

// - HISTORIQUE --------------------------------------------------------
// 2013-05-28  Pierre-Do                  Création
// ---------------------------------------------------------------------

// ---------------------------------------------------------------------
// Construit un acteur qui gère des onglets
ConstV7.prototype.ConstActeurOnglets = function (elem, acteurParam) {
    var that = this;
    var $elem = $(elem);
    var effet = "";         //Contien l'effet desiré

    // Applique l'effets, au besion
    if (acteurParam['effet'] != undefined)
    {
        effet = acteurParam['effet'];
    }

    $elem.kendoTabStrip({
        animation: {
            open: {
                effects: effet
            }
        }
    });


    // Selectionne l'onglet au besion
    var objKendoTabStrip = $elem.data("kendoTabStrip")
    if (acteurParam['defaut'] != undefined) {
        objKendoTabStrip.select("li:contains(" + acteurParam['defaut'] + ")")
    }
    else {
        objKendoTabStrip.select(0);
    }
}