﻿// =====================================================================
//                               actText.js
// © 2013  Dunin Technologie Inc.
// =====================================================================

// - DÉFINITION --------------------------------------------------------
// Acteur TEXT
// --------------------------------------------------------------------

// - NOTES -------------------------------------------------------------
// ---------------------------------------------------------------------

// - HISTORIQUE --------------------------------------------------------
// 2013-05-21  Pierre-Do                  Création
// ---------------------------------------------------------------------

// ---------------------------------------------------------------------
// Construit l'acteur TEXT

ConstV7.prototype.ConstActeurText = function (elem, acteurParam, objCourant) {
    var that = this;
    var $elem = $(elem);

    // Traitement du <Input>
    var $txt = $elem.find('input[type=text]');       // trouve la balise Input dans la source
    if ($txt.length) {
       
        $txt.attr('id', that.NouveauID(objCourant.Id + "~" + acteurParam['prop']));  // Ajoute ID
        $txt.val(objCourant[acteurParam['prop']]);                                   // Valeur de l'attibue
        $txt.data("objet", objCourant);                                             // Enregistre un pointeur sur l'objet courant
        $txt.data("acteur", "TEXT");

        $txt.change(function (event) {
            that.udpTextOnChange(this, acteurParam['prop']);
        });
        $txt.addClass("k-textbox");                         // CSS class
    }

    //Traitement du <Label>
    var $lbl = $elem.find('label');
    if ($lbl.length) {
        $lbl.text(acteurParam['prop']);                   // Nom de la propriété
    }
}


ConstV7.prototype.udpTextOnChange = function (elem, prop) {
    
    $elem = $(elem);              
    objV7 = $elem.data("objet");
    objV7[prop] = $elem.val();
}

