﻿// =====================================================================
//                               Simule.js
// © 2013  Dunin Technologie Inc.
// =====================================================================

// - DÉFINITION --------------------------------------------------------
// Code JS qui simule la présence du moteur
// --------------------------------------------------------------------

// - NOTES -------------------------------------------------------------
// ---------------------------------------------------------------------

// - HISTORIQUE --------------------------------------------------------
// 2013-05-21  Pierre-Do                  Création
// ---------------------------------------------------------------------

/* ============================== Global =============================== */

var M;      //Moteur
var O;      //Objet courrant
var C;      //Constructeur


// ---------------------------------------------------------------------
// Lorsque la page HTML est prête, charge le moteur/constructeur/Objet

$(window).load(function () {

    C = new ConstV7();
    
    //Instancie le module X globalement 
    O = new Module('1234', 'CommandeClient');

    M = new Moteur();

});

// ---------------------------------------------------------------------
// Simule le moteur
function Moteur() {

    this.Construit = function () {
        C.ConstruitFromWeb("Vues/Vue1.html",O);
        C.ChangeTheme("Silver");
    }
}

// ---------------------------------------------------------------------
// définie un module X
function Module(code, nom) {
    this.Id = "123456";
    this.Code = code;
    this.Nom = nom;
    this.Date = new Date();
    this.Bidon = "Bidon";
    this.Racine = new Racine();
}

// ---------------------------------------------------------------------
// définie une racine
function Racine() {
    this.Id = "222222";
    this.Code = 'racine1';
    this.Nom = 'Nom Racine1';
    this.Test = 10;
    this.Type = 4;
}
