﻿// =====================================================================
//                               actLabel.js
// © 2013  Dunin Technologie Inc.
// =====================================================================

// - DÉFINITION --------------------------------------------------------
// Acteur LABEL
// --------------------------------------------------------------------

// - NOTES -------------------------------------------------------------
// ---------------------------------------------------------------------

// - HISTORIQUE --------------------------------------------------------
// 2013-05-21  Pierre-Do                  Création
// ---------------------------------------------------------------------

// ---------------------------------------------------------------------
// Construit l'acteur LABEL 

ConstV7.prototype.ConstActeurTextLbl = function (elem, acteurParam, objCourant) {
    var that = this;
    var $elem = $(elem);

    // Traitement du <span>
    var $span = $elem.find('span');       // trouve la balise span
    if ($span.length) {

        $span.attr('id', that.NouveauID(objCourant.Id + "~" + acteurParam['prop']));  // Ajoute ID
        $span.text(objCourant[acteurParam['prop']]);                                   // Valeur de l'attibue
        $span.data("objet", objCourant);                                             // Enregistre un pointeur sur l'objet courant
        $span.data("acteur", "TEXTLBL");
    }

    //Traitement du <Label>
    var $lbl = $elem.find('label');
    if ($lbl.length) {
        $lbl.text(acteurParam['prop']);                   // Nom de la propriété
    }
}